Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Mat.AssemblyType

class petsc4py.PETSc.Mat.AssemblyType

  Bases: `object`

  Matrix assembly type.

  See also

  `MatAssemblyType`

  Attributes Summary

  `FINAL` | Constant `FINAL` of type `int`
  `FINAL_ASSEMBLY` | Constant `FINAL_ASSEMBLY` of type `int`
  `FLUSH` | Constant `FLUSH` of type `int`
  `FLUSH_ASSEMBLY` | Constant `FLUSH_ASSEMBLY` of type `int`

  Attributes Documentation

  FINAL: int = FINAL

    Constant `FINAL` of type `int`

  FINAL_ASSEMBLY: int = FINAL_ASSEMBLY

    Constant `FINAL_ASSEMBLY` of type `int`

  FLUSH: int = FLUSH

    Constant `FLUSH` of type `int`

  FLUSH_ASSEMBLY: int = FLUSH_ASSEMBLY

    Constant `FLUSH_ASSEMBLY` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)